# Created by pyp2rpm-3.3.5
%global pypi_name zarr

Name:           python-%{pypi_name}
Version:        2.18.1
Release:        %mkrel 1
Summary:        An implementation of chunked, compressed, N-dimensional arrays for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/zarr-developers/zarr-python
Source0:        https://files.pythonhosted.org/packages/source/z/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
An implementation of chunked, compressed, N-dimensional arrays for Python

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An implementation of chunked, compressed, N-dimensional arrays for Python

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md


%changelog
* Sun May 19 2024 papoteur <papoteur> 2.18.1-1.mga10
+ Revision: 2064885
- new version 2.18.1

* Mon Dec 25 2023 wally <wally> 2.16.1-3.mga10
+ Revision: 2021280
- rebuild for py3.12
- use %%pyproject_buildrequires

* Tue Dec 19 2023 papoteur <papoteur> 2.16.1-2.mga10
+ Revision: 2019334
- Mass Rebuild - Python 3.12

* Fri Sep 01 2023 papoteur <papoteur> 2.16.1-1.mga10
+ Revision: 1983134
- new 2.16.1

* Thu Dec 01 2022 papoteur <papoteur> 2.13.3-1.mga9
+ Revision: 1913868
- imported package python-zarr

